# $Revision: 1.7 $, $Date: 2003/08/12 22:32:53 $
Summary:	Shaperd (CBQ) - bandwidth limiting
Summary(pl):	Shaperd (CBQ) - dzielenie cza
Name:		shaperd.2
Version:	2.2
Release:	1
License:	GPL
Group:		Networking/Admin
#Source0:	http://sp9wun.republika.pl/prg/%{name}.%{version}.tar.gz
# Changed source to decrease traffic at republika.pl
Source0:	http://www.cbq.trzepak.net/prg/%{name}.%{version}.tar.gz
# Source0-md5:	2a132b13f9127b66ed0c7e7dca197794
Source1:	%{name}.init
Patch0:		%{name}-fhs.patch
#URL:		http://sp9wun.republika.pl/linux/shaperd_cbq.html
URL:		http://www.cbq.trzepak.net/linux/shaperd_cbq.html
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
Requires:	firewall-userspace-tool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program limits bandwidth on the ethernet/ppp interface and
divides it between the hosts in the local network.

%description -l pl
Program potrafi ogranicza przepustowo interfejsu ethernet/ppp oraz
dzieli dostpne pasmo pomidzy komputery w sieci lokalnej.

%prep
%setup -q -n %{name}
%patch -p1

%build
cd usr/src/shaperd
%{__make} clean
# this file has its own rule in Makefile, without CFLAGS...
%{__cc} %{rpmcflags} -c shaperd_old.c
%{__make} \
	CC=%{__cc} \
	CFLAGS="%{rpmcflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/{cron.hourly,shaper},%{_initrddir},/var/lib/shaper}

install usr/src/shaperd/shaperd $RPM_BUILD_ROOT%{_sbindir}
install etc/shaper/* $RPM_BUILD_ROOT%{_sysconfdir}/shaper
install %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/shaperd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add shaperd
if [ -f /var/lock/subsys/shaperd ]; then
	/etc/rc.d/init.d/shaperd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/shaperd start\" to start shaperd daemon." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/shaperd ]; then
		/etc/rc.d/init.d/shaperd stop >&2
	fi
	/sbin/chkconfig --del shaperd
fi

%files
%defattr(644,root,root,755)
%doc changes.txt var/www/html/kto.php usr/share/doc/shaper/*
%dir %{_sysconfdir}/shaper
%attr(640,root,root) %verify(not size md5 mtime) %config(noreplace) %{_sysconfdir}/shaper/*
%attr(755,root,root) %{_sbindir}/shaperd
%attr(754,root,root) %{_initrddir}/shaperd
%dir /var/lib/shaper

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All below listed persons can be reached on <cvs_login>@pld-linux.org

$Log: shaperd.2.spec,v $
Revision 1.7  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.6  2003/08/05 09:25:43  qboosh
- added fhs patch, moved /var/shaper back to proper place
- use optflags

Revision 1.5  2003/08/04 16:05:21  tiwek
- updated to 2.2.2
- added missing dir
- add docs

Revision 1.4  2003/05/28 13:01:50  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/05/13 08:23:34  qboosh
- missing dir
- removed COPYING from doc (just GPL), added changes.txt

Revision 1.1  2003/05/10 16:08:05  djrzulf
- changed name of spec file (TODO request),

Revision 1.9  2003/05/10 16:06:52  djrzulf
- changed Source0 and URL,

Revision 1.8  2003/05/10 16:02:25  djrzulf
- updated to beta61,

Revision 1.7  2003/05/08 22:17:37  qboosh
- use normal __cc not kgcc when compiling user-space daemons; cleanups

Revision 1.6  2003/05/06 19:56:36  undefine
- shaperd works with ipchains too

Revision 1.5  2003/04/15 18:00:31  djrzulf
- updated to beta59,

Revision 1.4  2003/03/17 06:16:18  pbern
- update to beta56

Revision 1.3  2003/02/05 17:37:36  pbern
- update to beta44

Revision 1.2  2003/02/01 08:52:36  pbern
- fix BR

Revision 1.1  2003/02/01 08:45:52  pbern
- old name shaper_cbq
- update to 2-200beta36

Revision 1.1  2003/01/28 09:28:58  djrzulf
- from Adam Piatyszek, not tested yet,
